<template>
   <div id="app" class="container">
    <div class="page-header">
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">Adicionar Cliente</h3>
      </div>
      <div class="panel-body" >
         <b-form id="form" class="form-inline" v-on:submit.prevent="addUser">
          <div class="form-group">
            <label for="userName">Nome:</label>
            <input type="text" id="userName" class="form-control" v-model="newUser.name">
          </div>
          <input type="submit" class="btn btn-primary" value="Adicionar">
        </b-form>
      </div>
    </div>
    <br>
    <br>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">Lista de clientes</h3>
      </div>
      <div class="panel-body">
        <table class="table table-striped">
          <thead>
            <tr>
              <th>Nome</th>
              <th>Ações</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="user in users" :key="user.id">
              <td>{{user.name}}</td>
              <td>
                <router-link :to="{ name: 'EditUser', params: {id: user['.key']} }" class="btn btn-warning">
                  Editar
                </router-link>
                <span class="btn btn-primary" v-on:click="removeUser(user)">Remover</span>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import toastr from 'toastr'
import { db } from '../../config/db';

let usersRef = db.ref('users')

export default {
  name: 'App',
  firebase: {
    users: usersRef
  },
  data () {
    return {
      newUser: {
        name: ''
      }
    }
  },
  methods: {
    addUser: function () {
      usersRef.push(this.newUser)
      this.newUser.name = ''
    },
    removeUser: function (user) {
      usersRef.child(user['.key']).remove()
      toastr.success('Cliente removido com sucesso')
    }
  }
}
</script>
<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 100px;
}
</style>
